The page has been translated by Gen AI.

Secret Retrieval API Reference

This user guide explains how to use and invoke the Public/Private endpoints of Secrets Manager.

Caution
  • Public Endpoint can be called from an environment that can communicate over the Internet.
  • Private Endpoint can only be called from a Samsung Cloud Platform VM.

Pre-configuration for Endpoint Calls

Describes the prerequisite configuration items required when calling the Secrets Manager endpoint.

Register Outbound Rule for Security Group

To call the endpoint, you need to register an outbound rule in the security group.

To register an Outbound Rule for a Security Group, follow the steps below.

  1. Click the All Services > Security > Secrets Manager menu. You will be taken to the Service Home page of Secrets Manager.
  2. On the Service Home page, click the Secrets Manager menu. You will be taken to the Secrets Manager List page.
  3. On the Secrets Manager List page, click the resource whose details you want to view. You will be taken to the Secrets Manager Details page.
  4. On the Secrets Manager Details page, check the URL information.
    • You can copy the public/private URL information from the URL field.
  5. Use the nslookup command to verify the IP to register in the Security Group.
nslookup <호출할 endpoint url>
  1. From Security Group > Security Group List, select the Security Group of the VM for which you want to set access control. Then navigate to the Security Group Details page.
  2. In the Security Group Details > Rules tab, click the Add Rule button. When the Add Rule window appears, enter the information below to add a rule.
    ItemDetailed description
    Target input methodCIDR selection
    Target addressEnter the IP address retrieved by nslookup
    typeSelect Destination Port/Type then enter protocol information
    • Select TCP among the protocols, and enter 443 in the TCP Destination Port
    directionOutbound rule Select
    ExplanationEnter the invocation rules for Secrets Manager public/private endpoints
    Table. Input items for adding Security Group rules
  3. Security Group rules Verify that the rule you entered in the list has been added.

Register access control for Secrets Manager

You can register public/private access controls for Secrets Manager.

To configure the access control items of Secrets Manager, follow these steps.

  1. Click the All Services > Security > Secrets Manager menu. You will be taken to the Service Home page of Secrets Manager.
  2. On the Service Home page, click the Secrets Manager menu. You will be taken to the Secrets Manager list page.
  3. On the Secrets Manager List page, click the resource to view detailed information. You will be taken to the Secrets Manager Details page.
  4. On the Secrets Manager Details page, click the edit icon of Public Access Control to add an allowed IP for Public Endpoint access.
    • Public Access Control Edit Popup window, enter the IP and click the Add button. When the addition is complete, click the Confirm button.
    • For security, we recommend adding a single IP, and you can register up to 10.
    • You can register the 0.0.0.0/24 – 0.0.0.0/32 range, but be careful as it may be insecure.
  5. On the Secrets Manager Details page, click the edit icon of Private Access Control to add a VM that allows Private Endpoint access.
    • Private Access Control Edit Popup window, select the resource to allow access and click the Add button. When addition is complete, click the Confirm button.
    • If you do not enable the setting, you can access all subnet resources in the same region.

Calling Secrets Manager API

Describes how to call the Secrets Manager API.

Check the URL information of Secrets Manager

On the All Services > Security > Secrets Manager > Secrets Manager Details page, check the URL information.

  • You can copy the public/private URL information from the URL field.

Secrets Manager Retrieval API

get /v1/secret

Description

Secret value lookup

Parameters

TypeNameDescriptionSchema
querysecretId (required)Secret ID
(Example : b3ed8b7637574255b83c274a6ed79426)
string
Table. API Call Parameters

Responses

Http CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403IP Not AllowedNone
404Not FoundNone
Table. API call Responses items

Example HTTP request

Request path

/v1/secret?secretId={secretId}

Request header

"AccessKey = 341g54421b5d67a1gf2b30f1a5415e75",
"SecretKey = 87d5eec6-998h-4933-e865-fd837495je28"

Example HTTP response

Response 200

{
  "status": "success",
  "data": {
    "key": "value"
  },
  "timestamp": "2026-01-20T09:21:18.92730172"
}
How-to guides
Release Note